summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/apex/apex.yml21
-rw-r--r--jjb/compass4nfv/compass-ci-jobs.yml4
-rw-r--r--jjb/fuel/fuel-ci-jobs.yml6
-rwxr-xr-xjjb/functest/set-functest-env.sh7
-rw-r--r--jjb/joid/joid-ci-jobs.yml4
-rw-r--r--jjb/yardstick/yardstick-ci-jobs.yml2
-rw-r--r--utils/test/result_collection_api/opnfv_testapi/tests/unit/test_project.py4
7 files changed, 38 insertions, 10 deletions
diff --git a/jjb/apex/apex.yml b/jjb/apex/apex.yml
index 578024e07..3ba8842fc 100644
--- a/jjb/apex/apex.yml
+++ b/jjb/apex/apex.yml
@@ -239,13 +239,13 @@
git-revision: false
block: true
same-node: true
-# - trigger-builds:
-# - project: 'functest-apex-{verify-slave}-suite-{stream1}'
-# predefined-parameters: |
-# DEPLOY_SCENARIO=os-nosdn-nofeature-ha
-# FUNCTEST_SUITE_NAME=vping_userdata
-# block: true
-# same-node: true
+ - trigger-builds:
+ - project: 'functest-apex-{verify-slave}-suite-{stream1}'
+ predefined-parameters: |
+ DEPLOY_SCENARIO=os-nosdn-nofeature-ha
+ FUNCTEST_SUITE_NAME=healthcheck
+ block: true
+ same-node: true
- trigger-builds:
- project: 'apex-deploy-virtual-os-odl_l2-nofeature-ha-{stream1}'
predefined-parameters: |
@@ -254,6 +254,13 @@
git-revision: false
block: true
same-node: true
+ - trigger-builds:
+ - project: 'functest-apex-{verify-slave}-suite-{stream1}'
+ predefined-parameters: |
+ DEPLOY_SCENARIO=os-odl_l2-nofeature-ha
+ FUNCTEST_SUITE_NAME=healthcheck
+ block: true
+ same-node: true
- 'apex-workspace-cleanup'
- job-template:
diff --git a/jjb/compass4nfv/compass-ci-jobs.yml b/jjb/compass4nfv/compass-ci-jobs.yml
index 4bbea4952..8a43355ca 100644
--- a/jjb/compass4nfv/compass-ci-jobs.yml
+++ b/jjb/compass4nfv/compass-ci-jobs.yml
@@ -105,6 +105,8 @@
- '{auto-trigger-name}'
builders:
+ - description-setter:
+ description: "POD: $NODE_NAME"
- trigger-builds:
- project: 'compass-deploy-{pod}-daily-{stream}'
current-parameters: true
@@ -183,6 +185,8 @@
builders:
+ - description-setter:
+ description: "POD: $NODE_NAME"
- shell:
!include-raw-escape: ./compass-download-artifact.sh
- shell:
diff --git a/jjb/fuel/fuel-ci-jobs.yml b/jjb/fuel/fuel-ci-jobs.yml
index e78be54b7..de7ca6af1 100644
--- a/jjb/fuel/fuel-ci-jobs.yml
+++ b/jjb/fuel/fuel-ci-jobs.yml
@@ -113,6 +113,8 @@
gs-pathname: '{gs-pathname}'
builders:
+ - description-setter:
+ description: "POD: $NODE_NAME"
- trigger-builds:
- project: 'fuel-deploy-{pod}-daily-{stream}'
current-parameters: false
@@ -188,6 +190,8 @@
name: '$BUILD_NUMBER - Scenario: $DEPLOY_SCENARIO'
builders:
+ - description-setter:
+ description: "POD: $NODE_NAME"
- shell:
!include-raw-escape: ./fuel-download-artifact.sh
- shell:
@@ -316,7 +320,7 @@
- trigger:
name: 'fuel-os-odl_l2-nofeature-ha-zte-pod1-daily-master-trigger'
triggers:
- - timed: '0 12 * * *'
+ - timed: '15 9 * * *'
- trigger:
name: 'fuel-os-odl_l3-nofeature-ha-zte-pod1-daily-master-trigger'
triggers:
diff --git a/jjb/functest/set-functest-env.sh b/jjb/functest/set-functest-env.sh
index 0b8747a6f..d2e232de5 100755
--- a/jjb/functest/set-functest-env.sh
+++ b/jjb/functest/set-functest-env.sh
@@ -27,6 +27,7 @@ if [[ ${INSTALLER_TYPE} == 'apex' ]]; then
if sudo iptables -C FORWARD -i virbr0 -j REJECT --reject-with icmp-port-unreachable 2> ${redirect}; then
sudo iptables -D FORWARD -i virbr0 -j REJECT --reject-with icmp-port-unreachable
fi
+
elif [[ ${INSTALLER_TYPE} == 'joid' ]]; then
# If production lab then creds may be retrieved dynamically
# creds are on the jumphost, always in the same folder
@@ -34,6 +35,12 @@ elif [[ ${INSTALLER_TYPE} == 'joid' ]]; then
# If dev lab, credentials may not be the default ones, just provide a path to put them into docker
# replace the default one by the customized one provided by jenkins config
fi
+
+# Set iptables rule to allow forwarding return traffic for container
+if ! sudo iptables -C FORWARD -j RETURN 2> ${redirect} || ! sudo iptables -L FORWARD | awk 'NR==3' | grep RETURN 2> ${redirect}; then
+ sudo iptables -I FORWARD -j RETURN
+fi
+
echo "Functest: Start Docker and prepare environment"
envs="-e INSTALLER_TYPE=${INSTALLER_TYPE} -e INSTALLER_IP=${INSTALLER_IP} \
-e NODE_NAME=${NODE_NAME} -e DEPLOY_SCENARIO=${DEPLOY_SCENARIO} \
diff --git a/jjb/joid/joid-ci-jobs.yml b/jjb/joid/joid-ci-jobs.yml
index 6927ad99c..a1e56770b 100644
--- a/jjb/joid/joid-ci-jobs.yml
+++ b/jjb/joid/joid-ci-jobs.yml
@@ -116,6 +116,8 @@
default: '{scenario}'
builders:
+ - description-setter:
+ description: "POD: $NODE_NAME"
- trigger-builds:
- project: 'joid-deploy-{pod}-daily-{stream}'
current-parameters: true
@@ -187,6 +189,8 @@
branch: '{branch}'
builders:
+ - description-setter:
+ description: "POD: $NODE_NAME"
- 'builder-macro'
########################
# builder macros
diff --git a/jjb/yardstick/yardstick-ci-jobs.yml b/jjb/yardstick/yardstick-ci-jobs.yml
index 4f98e2c22..8b8ced1ba 100644
--- a/jjb/yardstick/yardstick-ci-jobs.yml
+++ b/jjb/yardstick/yardstick-ci-jobs.yml
@@ -211,6 +211,8 @@
branch: '{branch}'
builders:
+ - description-setter:
+ description: "POD: $NODE_NAME"
- 'yardstick-cleanup'
#- 'yardstick-fetch-os-creds'
- 'yardstick-{testsuite}'
diff --git a/utils/test/result_collection_api/opnfv_testapi/tests/unit/test_project.py b/utils/test/result_collection_api/opnfv_testapi/tests/unit/test_project.py
index d47306093..327ddf7b2 100644
--- a/utils/test/result_collection_api/opnfv_testapi/tests/unit/test_project.py
+++ b/utils/test/result_collection_api/opnfv_testapi/tests/unit/test_project.py
@@ -10,7 +10,7 @@ import unittest
from test_base import TestBase
from opnfv_testapi.resources.project_models import ProjectCreateRequest, \
- Project, Projects
+ Project, Projects, ProjectUpdateRequest
from opnfv_testapi.common.constants import HTTP_OK, HTTP_BAD_REQUEST, \
HTTP_FORBIDDEN, HTTP_NOT_FOUND
@@ -112,7 +112,7 @@ class TestProjectUpdate(TestProjectBase):
code, body = self.get(self.req_d.name)
_id = body._id
- req = ProjectCreateRequest('newName', 'new description')
+ req = ProjectUpdateRequest('newName', 'new description')
code, body = self.update(req, self.req_d.name)
self.assertEqual(code, HTTP_OK)
self.assertEqual(_id, body._id)